Get payment intent reversal detail
GET /v2/send/payment-intent-reversals/{reversalId}
GET
/v2/send/payment-intent-reversals/{reversalId}
Retrieve the detail of a payment intent reversal record including transaction hash.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” reversalId
required
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09Payment Intent Reversal ID
Responses
Section titled “ Responses ”Payment intent reversal detail
object
id
required
Reversal ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 paymentIntentId
required
Payment Intent ID
string format: uuid
d24d70a9-e1e2-4e83-ac81-cf62c2cb4c09 status
required
Reversal status
string
destinationWalletAddress
required
Destination wallet address for the refund
string
amountBaseUnits
required
Refund amount in base units
string
amountDecimals
required
Amount decimals
number
transactionHash
On-chain transaction hash
string
failureReason
Failure reason
string
createdAt
required
Created at timestamp
string format: date-time
updatedAt
required
Updated at timestamp
string format: date-time
Bad Request
Unauthorized
Forbidden
Not Found
Internal Server Error